- Qt 6.11
- Qt Graphs
- QML Types
- QtGraphs
- AbstractDataProxy
- Qt Graphs | Commercial or GPLv3

# AbstractDataProxy QML Type

Base type for all 3D graph data proxies. More...

Import Statement: | `import QtGraphs`
Inherited By: | BarDataProxy, HeightMapSurfaceDataProxy, ItemModelBarDataProxy, ItemModelScatterDataProxy, ItemModelSurfaceDataProxy, ScatterDataProxy, and SurfaceDataProxy

- List of all members, including inherited members
- AbstractDataProxy is part of Qt Graphs QML Types for 3D.

## Properties

- type : AbstractDataProxy.DataType

## Detailed Description

This abstract class serves as a base class for the following subtypes: BarDataProxy, ScatterDataProxy, SurfaceDataProxy.

For more information, see Qt Graphs Data Handling with 3D.

## Property Documentation

### type : AbstractDataProxy.DataType

The type of the proxy. One of the QAbstractDataProxy::DataType values.